Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmTopic

All Superinterfaces
  ContentBase, IAttachmentSupport, ICmForumItem, ICmItem, ICmRelatedContent, ICmTopicSupport, IItem, Serializable

    public interface ICmTopic

extends IItem, ICmTopicSupport, ICmRelatedContent

A topic is an individual's posting to a forum. It is possible to reply to topics, as continuation of the discussion.

Field Summary
`static ItemClass` | `CLASS`
`static Key` | `FORUM_PARENT_ID` The key representing the ID of the forum that this topic, or topic reply, is located in.
`static int` | `KEYID_FORUM_PARENT_ID` The `int` ID for the `FORUM_PARENT_ID` key.
`static int` | `KEYID_MASTER_TOPIC_ID` The `int` ID for the `MASTER_TOPIC_ID` key.
`static Key` | `MASTER_TOPIC_ID` The key representing the ID of the topic that this topic is a child of.
`static Key[]` | `MINIMUM_TOPIC_KEYS` The minimum required keys when fetching a topic.

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.beacm.ICmTopicSupport
`DEEP_TOPIC_COUNT, KEYID_DEEP_TOPIC_COUNT, KEYID_TOPIC_COUNT, TOPIC_COUNT`

Fields inherited from interface com.compoze.collab.beacm.ICmForumItem
`AUTHOR, BODY, CONTENT_TYPE, DATE_CREATED, DATE_LAST_MODIFIED, KEYID_AUTHOR, KEYID_BODY, KEYID_CONTENT_TYPE, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_KEYWORDS, KEYID_MASK_AUTHOR, KEYWORDS, MASK_AUTHOR`

Fields inherited from interface com.compoze.collab.beacm.ICmItem
`ATTACHMENT_COUNT, KEYID_ATTACHMENT_COUNT, KEYID_OWNER, KEYID_VISIBILITY, OWNER, VISIBILITY`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Fields inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`KEYID_LINK, LINK`

Method Summary
`String` | `getMasterTopicID()` Gets the ID of the master topic for this topic.
`ICmForum` | `getParentForum()` Gets the parent topic for this topic.
`ICmForum` | `getParentForum(FetchProfile profile)` Gets the parent topic for this topic.
`String` | `getParentForumID()` Gets the ID of the parent forum for this topic.
`ICmTopic` | `getParentTopic()` Gets the parent topic for this topic.
`ICmTopic` | `getParentTopic(FetchProfile qp)` Gets the parent topic for this topic.
`ICmTopic[]` | `getTopics()` Gets the sub-topics for this topic.
`ICmTopic[]` | `getTopics(QueryProfile qp)` Gets the sub-topics for this topic.
`ICmTopicList` | `getTopics(QueryProfile qp, int iPageSize, int iPage)` Gets the sub-topics for this topic.
`ICmTopic` | `reply()` Replies to the current topic.

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.beacm.ICmTopicSupport
`addTopic, getDeepTopicCount, getTopicCount`

Methods inherited from interface com.compoze.collab.beacm.ICmForumItem
`getAuthor, getBody, getBodyContentType, getDateCreated, getDateLastModified, getKeywords, getMaskAuthor, getName, setAuthor, setBody, setKeywords, setMaskAuthor, setName`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Methods inherited from interface com.compoze.collab.beacm.ICmRelatedContent
`getLinks, setLinks`

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getIcon, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Field Detail

### KEYID_FORUM_PARENT_ID

    static final int KEYID_FORUM_PARENT_ID

  The `int` ID for the `FORUM_PARENT_ID` key.

  See Also
    Constants Summary

### KEYID_MASTER_TOPIC_ID

    static final int KEYID_MASTER_TOPIC_ID

  The `int` ID for the `MASTER_TOPIC_ID` key.

  See Also
    Constants Summary

### FORUM_PARENT_ID

    static final Key FORUM_PARENT_ID

  The key representing the ID of the forum that this topic, or topic reply, is located in.

### MASTER_TOPIC_ID

    static final Key MASTER_TOPIC_ID

  The key representing the ID of the topic that this topic is a child of. The master topic may not be the direct parent. All replies to a master topic, no matter how deep, will always have the same master topic ID. If the current topic is the master topic, then this key will be equal to `IItem.ID`.

### CLASS

    static final ItemClass CLASS

### MINIMUM_TOPIC_KEYS

    static final Key[] MINIMUM_TOPIC_KEYS

  The minimum required keys when fetching a topic.

Method Detail

### getParentTopic

    ICmTopic getParentTopic()
                            throws CollaborationException

  Gets the parent topic for this topic. This is different from `IItem.getParent()`. That returns the `ICmForum` this topic is located.

  Returns
    the parent topic, or `null` if the topic is at the forum 'base' level
  Throws
    `CollaborationException` - if there was an error getting the parent topic

### getParentTopic

    ICmTopic getParentTopic(FetchProfile qp)
                            throws CollaborationException

  Gets the parent topic for this topic. This is different from `IItem.getParent()`. That returns the `ICmForum` this topic is located.

  Returns
    the parent topic, or `null` if the topic is at the forum 'base' level
  Throws
    `CollaborationException` - if there was an error getting the parent topic

### getParentForumID

    String getParentForumID()
                            throws CollaborationException

  Gets the ID of the parent forum for this topic. This is different from `IItem.getParent()`. That returns the `ICmForum` this topic is located.

  Returns
    the parent topic, or `null` if the topic is at the forum 'base' level
  Throws
    `CollaborationException` - if there was an error getting the parent topic

### getParentForum

    ICmForum getParentForum()
                            throws CollaborationException

  Gets the parent topic for this topic. This is different from `IItem.getParent()`. That returns the `ICmForum` this topic is located.

  Returns
    the parent topic, or `null` if the topic is at the forum 'base' level
  Throws
    `CollaborationException` - if there was an error getting the parent topic

### getParentForum

    ICmForum getParentForum(FetchProfile profile)
                            throws CollaborationException

  Gets the parent topic for this topic. This is different from `IItem.getParent()`. That returns the `ICmForum` this topic is located.

  Returns
    the parent topic, or `null` if the topic is at the forum 'base' level
  Throws
    `CollaborationException` - if there was an error getting the parent topic

### getTopics

    ICmTopic[] getTopics()
                         throws CollaborationException

  Gets the sub-topics for this topic.

  Returns
    the topics for this forum
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### getTopics

    ICmTopic[] getTopics(QueryProfile qp)
                         throws CollaborationException

  Gets the sub-topics for this topic.

  Parameters
    `qp` - the query profile to use when getting the topics
  Returns
    the sub-topics
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### getTopics

    ICmTopicList getTopics(QueryProfile qp,
                           int iPageSize,
                           int iPage)
                           throws CollaborationException

  Gets the sub-topics for this topic.

  Parameters
    `qp` - the query profile to use when getting the topics
    `iPageSize` - the page size
    `iPage` - the page number
  Returns
    the sub-topics
  Throws
    `CollaborationException` - if there was an error getting the topics for this forum

### reply

    ICmTopic reply()
                   throws CollaborationException

  Replies to the current topic.

  Returns
    an uncommitted topic
  Throws
    `CollaborationException` - if there was an error creating a new topic

### getMasterTopicID

    String getMasterTopicID()
                            throws CollaborationException

  Gets the ID of the master topic for this topic. The master topic is the original topic that started the current chain of replies.

  Returns
    the master topic or a value equal to `IItem.ID` if the topic is at the forum 'base' level and is considered a master topic itself.
  Throws
    `CollaborationException` - if there was an error getting the master topic.
  See Also
    `MASTER_TOPIC_ID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved